<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="sync" translate="label" sortOrder="140" showInDefault="1" showInWebsite="1" showInStore="1">
        <label>Sync</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="data" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Data Configuration</label>
            <field id="batch_size" translate="label" type="text" sortOrder="10" showInDefault="1">
                <validate>no-whitespace integer</validate>
                <label>Connector Bulk Size</label>
                <comment>connector bulk size - default 1000</comment>
            </field>
            <field id="index_bulk_size" translate="label" type="text" sortOrder="20" showInDefault="1">
                <validate>no-whitespace integer</validate>
                <label>Index Bulk Size</label>
                <comment>index bulk size - default 500</comment>
            </field>
            <field id="allow_index_deletion" translate="label comment" type="select" sortOrder="20" showInDefault="1">
                <label>Allow indexer to remove deleted entities</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="filters_without_out_of_stock" translate="label comment" type="select" sortOrder="20" showInDefault="1">
                <label>Remove out of stock from filters</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
            <field id="use_preorder_attribute" translate="label comment" type="select" sortOrder="30" showInDefault="1">
                <label>Use Preorder Attribute Instead Backorders Stock Table Column</label>
                <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
            </field>
        </group>
    </section>
</include>
